Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class EJB3CascadingAction

    java.lang.Object
      org.hibernate.engine.spi.CascadingAction
          org.hibernate.engine.spi.EJB3CascadingAction

    public abstract class EJB3CascadingAction

extends CascadingAction

Because of CascadingAction constructor visibility I need a packaged friendly subclass TODO Get rid of it for 3.3

Field Summary
`static CascadingAction` | `PERSIST_SKIPLAZY`

Fields inherited from class org.hibernate.engine.spi.CascadingAction
`DELETE, EVICT, LOCK, MERGE, PERSIST, PERSIST_ON_FLUSH, REFRESH, REPLICATE, SAVE_UPDATE`

Constructor Summary
`EJB3CascadingAction()`

Method Summary

Methods inherited from class org.hibernate.engine.spi.CascadingAction
`cascade, deleteOrphans, getCascadableChildrenIterator, getLoadedElementsIterator, noCascade, performOnLazyProperty, requiresNoCascadeChecking`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSIST_SKIPLAZY

    public static final CascadingAction PERSIST_SKIPLAZY

See Also:
  `Session.persist(Object)`

Constructor Detail

### EJB3CascadingAction

    public EJB3CascadingAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.